using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using Microsoft.LightSwitch;
using Microsoft.LightSwitch.Security.Server;
namespace LightSwitchApplication
{
 public partial class ApplicationDataService
 {
  partial void SchulungImZeitraum_PreprocessQuery(DateTime? Beginn, DateTime? Ende, ref IQueryable<Schulung> query)
  {

  }

  partial void SchulungenMitWenigerAls3Teilnehmern_PreprocessQuery(ref IQueryable<Schulung> query)
  {
   query = from s in query where s.TeilnehmerSchulungen.Count() < 3 select s;
  }
 }
}
